Skip to main content

Get a list of all transactions of an account

GET 

/accounts/:accountId/transactions

Returns a paginated list of transactions for the specified account.

  • When called without a date, it returns all transactions since the last completed booking day. Both "pending" and "booked" entries may be included based on the entryStatus parameter.
  • When called with a date range, only "booked" transactions from completed booking days are returned. For days not yet finalized, a 202 response code is returned.

If no transactions match the requested date range or intraday window, return an empty list: {"entries": []}.

Results are sorted by bookingDate in descending order. Additional sorting logic is provider-specific but all Service Providers must ensure stable and consistent pagination behavior. If pagination is required, Service Provider includes an opaque cursor in the X-Next-Cursor header. This cursor identifies a specific position in the sorted result set and is internally derived from the sorting criteria. Service Users must pass this value unchanged in the cursor parameter of the next request to retrieve subsequent pages.

Transaction details are optional in the schema, but all available information must be included if present for a given transaction.

Request

Responses

List of transactions of the specified account.

Response Headers
    X-Correlation-ID

    Service User defined ID from request to correlate HTTP requests between a Service User and a Service Provider.

    X-Next-Cursor

    An opaque string value used for pagination. Include this value in the cursor parameter of the subsequent request to fetch the next page of results. An empty string indicates that there are no more results.